ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Miller <thatguy1...@gmail.com>
Subject Re: Confusion over latest integration resolution
Date Sun, 26 Sep 2010 14:08:18 GMT
I think your problem is that your publishing with a version of
integration.latest. That value should only be used in dependencies,
not in the info tag. So when you publish, you'd end up with 1.0 or
some numbered version. Then the dependency in tmp would be able to
resolve fubar#integration.latest to fubar#1.0. If you don't define a
rev in the info tag, you can define it during publish. See the
multi-module project tutorial for an example of automatically
generating versions.

On Sun, Sep 26, 2010 at 9:33 AM, David Harrigan <dharrigan@gmail.com> wrote:
> Hi all,
>
> I'm building from ivy from svn head.
>
> I'm finding it difficult to get to grips with doing what I thought
> would be a simple action :s
>
> I have a project with an ivy file like this:
>
> <ivy-module version="2.0"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
>    <info organisation="com.fubar" module="fubar"
> revision="${module.version}" />
>    <configurations>
>        <conf name="runtime"/>
>    </configurations>
>    <publications>
>        <artifact name="fubar" type="jar" />
>    </publications>
>    <dependencies>
>        <!-- LOGBACK -->
>        <dependency org="ch.qos.logback" name="logback-core"
> rev="0.9.25" conf="runtime->default" />
>        <dependency org="ch.qos.logback" name="logback-classic"
> rev="0.9.25" conf="runtime->default" />
>    </dependencies>
> </ivy-module>
>
> The ${module.version} is defined in the ivysettings file like this:
>
> <property name="module.version" value="latest.integration" override="false" />
>
> I do a build, jar and an ivy publish locally. Following which, in my
> .ivy2/local directory I have this structure:
>
> com.fubar/latest.integration/ivys
> ---- ivy-latest.integration.xml
> com.fubar/latest.integration/jars
> ---- fubar.jar
>
> In another project, I have the following ivy file configured:
>
> <ivy-module version="2.0"
> xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
> xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd">
>    <info organisation="com.fubar" module="tmp" revision="${module.version}" />
>    <configurations>
>        <conf name="runtime"/>
>    </configurations>
>    <dependencies>
>        <!-- FUBAR -->
>        <dependency org="com.fubar" name="fubar"
> rev="latest.integration" conf="runtime->default" />
>    </dependencies>
> </ivy-module>
>
> When I perform a ivy retrieve, I get the following error:
>
> resolve:
> [ivy:retrieve] :: Ivy 2.2.x-local-20100926061158 - 20100926061158 ::
> http://ant.apache.org/ivy/ ::
> [ivy:retrieve] :: loading settings :: file =
> /Users/david/tmp/conf/ivy/ivysettings.xml
> [ivy:retrieve] :: resolving dependencies :: com.fubar#tmp;latest.integration
> [ivy:retrieve]  confs: [runtime]
> [ivy:retrieve]  found com.fubar#fubar;latest.integration in local
> [ivy:retrieve] :: resolution report :: resolve 257ms :: artifacts dl 0ms
>        ---------------------------------------------------------------------
>        |                  |            modules            ||
  artifacts   |
>        |       conf       | number| search|dwnlded|evicted|| number|dwnlded|
>        ---------------------------------------------------------------------
>        |      runtime     |   1   |   0   |   0   |   0   ||   0  
|   0   |
>        ---------------------------------------------------------------------
> [ivy:retrieve]
> [ivy:retrieve] :: problems summary ::
> [ivy:retrieve] :::: WARNINGS
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          ::          UNRESOLVED DEPENDENCIES         ::
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve]          :: com.fubar#fubar;latest.integration: impossible to
> resolve dynamic revision
> [ivy:retrieve]          ::::::::::::::::::::::::::::::::::::::::::::::
> [ivy:retrieve] :::: ERRORS
> [ivy:retrieve]  impossible to resolve dynamic revision for
> com.fubar#fubar;latest.integration: check your configuration and make
> sure revision is part of your pattern
> [ivy:retrieve]
> [ivy:retrieve] :: USE VERBOSE OR DEBUG MESSAGE LEVEL FOR MORE DETAILS
> [ivy:retrieve] :: retrieving :: com.fubar#tmp [sync]
> [ivy:retrieve]  confs: [runtime]
> [ivy:retrieve]  0 artifacts copied, 0 already retrieved (0kB/3ms)
>
> So, ivy apparently finds the artifact, but won't resolve it for me.
> All I'm trying to do is have an latest.integration version for local
> builds, then a actual version for
> released builds (I have variable substitutions going on, in these
> examples I've hard-coded the substitutions).
>
> I do hope someone can help, it's causing me a headache :-)
>
> -=david=-
>
> --
> I prefer encrypted and signed messages. KeyID: B20A22F9
> Fingerprint: 110A F423 3647 54E2 880F ADAD 1C52 85BF B20A 22F9
>

Mime
View raw message